Authorize
curl --request POST \
--url https://{deployment}/v1/authorize \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"grant_id": "<string>",
"action": {},
"amount_minor": 0,
"currency": "<string>",
"trajectory_id": "<string>",
"step_id": "<string>",
"taint": [
{}
],
"incumbent_decision": "<string>"
}
'import requests
url = "https://{deployment}/v1/authorize"
payload = {
"grant_id": "<string>",
"action": {},
"amount_minor": 0,
"currency": "<string>",
"trajectory_id": "<string>",
"step_id": "<string>",
"taint": [{}],
"incumbent_decision": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
grant_id: '<string>',
action: {},
amount_minor: 0,
currency: '<string>',
trajectory_id: '<string>',
step_id: '<string>',
taint: [{}],
incumbent_decision: '<string>'
})
};
fetch('https://{deployment}/v1/authorize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{deployment}/v1/authorize",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'grant_id' => '<string>',
'action' => [
],
'amount_minor' => 0,
'currency' => '<string>',
'trajectory_id' => '<string>',
'step_id' => '<string>',
'taint' => [
[
]
],
'incumbent_decision' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{deployment}/v1/authorize"
payload := strings.NewReader("{\n \"grant_id\": \"<string>\",\n \"action\": {},\n \"amount_minor\": 0,\n \"currency\": \"<string>\",\n \"trajectory_id\": \"<string>\",\n \"step_id\": \"<string>\",\n \"taint\": [\n {}\n ],\n \"incumbent_decision\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{deployment}/v1/authorize")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"grant_id\": \"<string>\",\n \"action\": {},\n \"amount_minor\": 0,\n \"currency\": \"<string>\",\n \"trajectory_id\": \"<string>\",\n \"step_id\": \"<string>\",\n \"taint\": [\n {}\n ],\n \"incumbent_decision\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{deployment}/v1/authorize")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"grant_id\": \"<string>\",\n \"action\": {},\n \"amount_minor\": 0,\n \"currency\": \"<string>\",\n \"trajectory_id\": \"<string>\",\n \"step_id\": \"<string>\",\n \"taint\": [\n {}\n ],\n \"incumbent_decision\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"outcome": "<string>",
"allowed": true,
"reason": "<string>",
"grant_id": "<string>",
"ledger_id": "<string>",
"remaining_amount_minor": 123,
"remaining_count": 123,
"findings": [
"<string>"
],
"policy_outcome": "<string>",
"enforcement_mode": "<string>",
"capability": "<string>",
"capability_expires_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authority
Authorize
The hot path. Every consequential agent action passes through here.
Returns 200 with the decision rather than an error status even when the answer is no: a refusal is a normal, expected outcome that the caller must handle, and it is evidence either way.
Who may call it: an API key, or any role other than auditor.
POST
/
v1
/
authorize
Authorize
curl --request POST \
--url https://{deployment}/v1/authorize \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"grant_id": "<string>",
"action": {},
"amount_minor": 0,
"currency": "<string>",
"trajectory_id": "<string>",
"step_id": "<string>",
"taint": [
{}
],
"incumbent_decision": "<string>"
}
'import requests
url = "https://{deployment}/v1/authorize"
payload = {
"grant_id": "<string>",
"action": {},
"amount_minor": 0,
"currency": "<string>",
"trajectory_id": "<string>",
"step_id": "<string>",
"taint": [{}],
"incumbent_decision": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
grant_id: '<string>',
action: {},
amount_minor: 0,
currency: '<string>',
trajectory_id: '<string>',
step_id: '<string>',
taint: [{}],
incumbent_decision: '<string>'
})
};
fetch('https://{deployment}/v1/authorize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{deployment}/v1/authorize",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'grant_id' => '<string>',
'action' => [
],
'amount_minor' => 0,
'currency' => '<string>',
'trajectory_id' => '<string>',
'step_id' => '<string>',
'taint' => [
[
]
],
'incumbent_decision' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{deployment}/v1/authorize"
payload := strings.NewReader("{\n \"grant_id\": \"<string>\",\n \"action\": {},\n \"amount_minor\": 0,\n \"currency\": \"<string>\",\n \"trajectory_id\": \"<string>\",\n \"step_id\": \"<string>\",\n \"taint\": [\n {}\n ],\n \"incumbent_decision\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{deployment}/v1/authorize")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"grant_id\": \"<string>\",\n \"action\": {},\n \"amount_minor\": 0,\n \"currency\": \"<string>\",\n \"trajectory_id\": \"<string>\",\n \"step_id\": \"<string>\",\n \"taint\": [\n {}\n ],\n \"incumbent_decision\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{deployment}/v1/authorize")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"grant_id\": \"<string>\",\n \"action\": {},\n \"amount_minor\": 0,\n \"currency\": \"<string>\",\n \"trajectory_id\": \"<string>\",\n \"step_id\": \"<string>\",\n \"taint\": [\n {}\n ],\n \"incumbent_decision\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"outcome": "<string>",
"allowed": true,
"reason": "<string>",
"grant_id": "<string>",
"ledger_id": "<string>",
"remaining_amount_minor": 123,
"remaining_count": 123,
"findings": [
"<string>"
],
"policy_outcome": "<string>",
"enforcement_mode": "<string>",
"capability": "<string>",
"capability_expires_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
bearerTokenapiKey
Body
application/json
Response
Successful Response
